BranchOrderingPolicies (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.graphdb.traversal

## Enum BranchOrderingPolicies

- java.lang.Object
- - java.lang.Enum<BranchOrderingPolicies>
  - - org.neo4j.graphdb.traversal.BranchOrderingPolicies

- All Implemented Interfaces:
    Serializable, Comparable<BranchOrderingPolicies>, BranchOrderingPolicy

      public enum BranchOrderingPolicies
      extends Enum<BranchOrderingPolicies>
      implements BranchOrderingPolicy

  A catalog of convenient branch ordering policies. Copied from kernel package so that we can hide kernel from the public API.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `POSTORDER_BREADTH_FIRST`
    `POSTORDER_DEPTH_FIRST`
    `PREORDER_BREADTH_FIRST`
    `PREORDER_DEPTH_FIRST`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BranchOrderingPolicies` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BranchOrderingPolicies[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.neo4j.graphdb.traversal.BranchOrderingPolicy

      `create`

- - ### Enum Constant Detail

    - #### PREORDER_DEPTH_FIRST

          public static final BranchOrderingPolicies PREORDER_DEPTH_FIRST

    - #### POSTORDER_DEPTH_FIRST

          public static final BranchOrderingPolicies POSTORDER_DEPTH_FIRST

    - #### PREORDER_BREADTH_FIRST

          public static final BranchOrderingPolicies PREORDER_BREADTH_FIRST

    - #### POSTORDER_BREADTH_FIRST

          public static final BranchOrderingPolicies POSTORDER_BREADTH_FIRST

  - ### Method Detail

    - #### values

          public static BranchOrderingPolicies[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BranchOrderingPolicies c : BranchOrderingPolicies.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BranchOrderingPolicies valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.